Get transaction by ID
Returns the status and details of an onramp transaction. This endpoint is public — no API key is required.
Path Parameters
Onramp transaction ID
Responses
| Status | Description |
|---|---|
200 |
Transaction details |
200 response
HTML payment instruction, present for mobile-money or bank-transfer transactions
Current status of the transaction. Note: this field is named transaction_status (not status) on this endpoint.
Possible values: created, initialized, pending, provider_initiated, provider_success, provider_failed, transfer_queued, transfer_initiated, transfer_success, transfer_failed, abandoned, completed, expired, refunded, cancelled
{
"transaction_status": "pending",
"amount": "50",
"asset": "USDC",
"network": "polygon",
"onramp_status": "initialized",
"payment_link": "https://pay-staging.gravv.xyz?transaction_id=07b655cc-3dbd-4f6c-a16c-4657946d2e08"
}
Authorization
- ApiKeyAuth
Was this page helpful?